package tools.descartes.dql.connector.kieker.structures.resources;

public class ResourceMapKey  {

	private final String hostName;
	private final String resourceName;

	public ResourceMapKey(String hostName, String resourceName){
		this.hostName = hostName;
		this.resourceName = resourceName;
	}


	public String getHostID() {
		return hostName;
	}


	public String getClassID() {
		return resourceName;
	}


	@Override
	public String toString(){
		return String.format("@[%s] %s;", resourceName, hostName);
	}
}
